## org.apache.lucene.ant
Class TextDocument

    java.lang.Object
      org.apache.lucene.ant.TextDocument

    public class TextDocument

extends Object

A utility for making Lucene Documents from a File.

Since:
  December 6, 2001
Author:
  Erik Hatcher
To Do:
  Fix JavaDoc comments here

Constructor Summary
`TextDocument(File file)` Constructor for the TextDocument object

Method Summary
`static Document` `Document(File f)` Makes a document for a File.
`String` `getContents()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextDocument

    public TextDocument(File file)
                 throws IOException

  Constructor for the TextDocument object

  Parameters:
    `file` - Description of Parameter
  Throws:
    `IOException` - Description of Exception

Method Detail

### Document

    public static Document Document(File f)
                             throws IOException

  Makes a document for a File.

  The document has a single field:

  - `contents`--containing the full contents of the file, as a Text field;

  Parameters:
    `f` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `IOException` - Description of Exception

### getContents

    public String getContents()

  Returns:
    The contents value
  To Do:
    finish this method

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.